## BpBase

## Usage

```js
import { BpBase } from 'blueprint-hooks-ui';

const fieldFilter = [
  {
    title: 'Title',
    dataIndex: 'title',
    // type: ''
  }
];

const fieldList = [
  {
      title: 'Title',
      dataIndex: 'title',
      key: 'title'
    }
];

const fieldForm = [
  {
      title: 'Title',
      dataIndex: 'title',
      // type: ''
    }
];

return (
  <BpBase
    fieldFilter={fieldFilter}
    fieldList={fieldList}
    fieldForm={fieldForm}
  />
)
```

### Properties
| Name | Type | Default | Description |
| --- | --- | --- | --- |
| isAddRecord | Boolean | true |  |
| isEditRecord | Boolean | true |  |
| isDeleteRecord | Boolean | true |  |
| isTargetBlank | Boolean |  |  |
| isDragList | Boolean |  |  |
| isInterval | Boolean |  |  |
| isChart | Boolean |  |  |
| isFixedList | Boolean |  |  |
| isFetchList | Boolean | true |  |
| hasVisible | Boolean | true |  |
| hasInView | Boolean | true |  |
| notToken | Boolean |  |  |
| fieldFilter | Array or Function |  |  |
| fieldList | Array or Function |  |  |
| fieldForm | Array or Function |  |  |
| dataList | Array |  |  |
| apiConfig | Object |  |  |
| configDataMap | Object |  |  |
| contentExtra | ReactNode or Function(): ReactNode |  |  |
| ctaExtra | Array or Function |  |  |
| ctaRecord | Array or Function |  |  |
| orderName | Array |  |  |
| orderType | String |  |  |
| authProps | Object |  |  |
| filterProps | Object |  |  |
| listProps | Object |  |  |
| detailProps | Object |  |  |
| drawerProps | Object |  |  |
| chartProps | Object |  |  |
| dragProps | Object |  |  |
| formatDataList | Function |  |  |
| formatDataSubmit | Function |  |  |
| formatDataDetail | Function |  |  |
| formatDataQuery | Function |  |  |

## Filter Props

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| minimal | Boolean |  |  |
| isFilterButton | Boolean | true |  |
| fieldNumber | Number | 5 |  |
| ctaExtra | Array |  |  |
| addRecordTo | String |  |  |
| addRecordTargetBlank | Boolean |  |  |
| handleFilter | Function({ dataFilter }) |  |  |

## List Props

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| pageName | String | p |  |
| perPageName | String |  |  |
| limit | Number | 50 |  |
| fixTotal | Boolean |  |  |
| afterDelete | Function({ data, record }) |  |  |
| isPagination | Boolean |  |  |
| isNextPrev | Boolean |  |  |
| pageNotZero | Boolean |  |  |
| ctaFixed | Boolean |  |  |
| fieldNumber | Number or Function |  |  |
| expandIconAsCell | Boolean |  |  |
